アカウントの支払い

GET https://uptime4.com/api/payments/
curl --request GET \
--url 'https://uptime4.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
processor オプション 文字列 許可される値: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status オプション 文字列 許可される値: paid, pending, cancelled, refunded
type オプション 文字列 許可される値: one_time, recurring
frequency オプション 文字列 許可される値: monthly, quarterly, biannual, annual, lifetime
datetime_field オプション 文字列 許可される値: datetime
datetime_start オプション 文字列 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end オプション 文字列 Filter results up to this datetime. Y-m-d H:i:s format.
order_by オプション 文字列 結果を並べ替えるフィールド。許可される値は次のとおりです: id, datetime, total_amount.
order_type オプション 文字列 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。
page オプション 整数 結果を取得するページ番号。デフォルトは 1 です。
results_per_page オプション 整数 ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-04-21 02:06:30",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime4.com/api/payments?page=1",
        "last": "https://uptime4.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/payments?page=1"
    }
}
GET https://uptime4.com/api/payments/{payment_id}
curl --request GET \
--url 'https://uptime4.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-04-21 02:06:30",
    }
}